<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@08014A=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@08006F=99</action>
    </script>
  </cheat>

  <cheat desc="Minimum Lap Time">
    <script state="run">
      <action>maincpu.pw@2803F0=0000</action>
    </script>
  </cheat>

  <cheat desc="Always in 1st Place">
    <script state="run">
      <action>maincpu.pb@280971=00</action>
    </script>
  </cheat>

  <cheat desc="Always ride at Maximum Speed">
    <script state="run">
      <action>maincpu.pw@2802D0=012C</action>
    </script>
  </cheat>

  <cheat desc="Always ride at Crazy Speed (1000 KPH)"> <comment>Faster (max 65535) is possible but makes game unplayable</comment>
    <script state="run">
      <action>maincpu.pw@2802D0=03E8</action>
    </script>
  </cheat>

  <cheat desc="Get Crazy Speed (1000 KPH) Boost Now!"> <comment>Use this with an Activation Key for the best effect, hold down till the display shows the speed</comment>
    <script state="on">
      <action>maincpu.pw@2802D0=03E8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>subcpu.mb@006B01=AD</action>
      <action>subcpu.mb@00B507=A8</action>
    </script>
    <script state="off">
      <action>subcpu.mb@006B01=ED</action>
      <action>subcpu.mb@00B507=E8</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="244" step="1"/>
    <script state="change">
      <action>soundcpu.pb@F800=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
